package jp.gihyo.mitoma.android.lesson01_07;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ButtonClick onClick = new ButtonClick();
        Button btReg = findViewById(R.id.btRegist);
        btReg.setOnClickListener(onClick);
        Button btEnq = findViewById(R.id.btEnquiry);
        btEnq.setOnClickListener(onClick);
    }
    private class ButtonClick implements View.OnClickListener{
        public void onClick(View view){
            FriendsAction action = new FriendsAction(MainActivity.this);
            action.exec(view);
        }
    }
}